为rdo内核制作drbd的rpm包 -- by Ethan_lynn

原创 2013年12月04日 17:51:45

最近升级了rdo的内核之后,发现没有相应的drbd的包,只有标准内核的包,所以要在openstack中使用drbd就需要自己生成一个drbd的包。

当前内核信息如下:

# uname -a
Linux packstack 2.6.32-358.123.2.openstack.el6.x86_64 #1 SMP Thu Sep 26 17:14:58 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux


下面开始创建drbr for rdo kernel 的rpm包。

首先下载源码,这里用drbd 8.4.4版本

wget http://oss.linbit.com/drbd/8.4/drbd-8.4.4.tar.gz

tar xvf drbd-8.4.4


装上生成rpm包所需要的软件

yum install -y gcc make kernel-devel-`uname -i` flex rpm-build git



然后就可以开始生成rpm包啦,注意,make的过程需要联网,到sourceforge.net上面取一个文件。有可能被墙啦,至于怎么翻,就要靠google啦~

mkdir -p /root/rpmbuild/SOURCES

cd ./drbd-8.4.4

./configure

make rpm

make km-rpm


然后就会在下面的目录生成相应的rpm包,拷贝出来用就可以啦~

/root/rpmbuild/RPMS/



版权声明:本文为博主原创文章,未经博主允许不得转载。

kernelRPM包安装与制作

1   KernelRPM包制作与安装 内核只有通过以rpm包的形式才能更广泛的发布给所有用户进行自由安装,否则只是在自己本机进行了编译安装,其它的用户是不能使用你的内核的,rpm包就像window...
  • u011013137
  • u011013137
  • 2013年06月14日 10:29
  • 1382

centOS下制作RPM包

1.环境的准备: 安装环境时当前用户要有系统管理权限。但是在制作RPM包时请一定要用无系统管理权限的用户来进行操作。在开始一切的准备工作之前,请先保证您的工作环境下已经安装了gcc和make。关于这...
  • Lin_litao
  • Lin_litao
  • 2014年04月18日 11:58
  • 6587

安装.src.rpm软件包和安装centos内核源代码

一、一般有些软件包是以.src.rpm结尾的,这类软件包是包含了源代码的rpm包,在安装时需要进行编译。这类软件包有两种安装方法: 方法一:  1. 执行rpm -i your-package.sr...
  • trochiluses
  • trochiluses
  • 2013年12月01日 20:48
  • 8479

RDO的openstack中安装savanna 0.3 --by Ethan_lynn

前提: 通过packstack --allinone部署好了openstack环境。 1. 安装savanna的包 # yum install -y openstack-savanna pytho...
  • xuanlangjian
  • xuanlangjian
  • 2013年11月25日 17:16
  • 1801

drbd 8.2.7+heartbeat rpm安装包,有源码

  • 2010年03月22日 06:53
  • 2.48MB
  • 下载

编译内核及制作RPM包

编译内核及制作RPM包
  • cnbird2008
  • cnbird2008
  • 2011年02月11日 11:25
  • 1966

制作内核的二进制rpm包

随着Linux服务器越来越多了,底层系统内核想要保持版本统一就需要定制专门的二进制安装包来便捷的升级和管理。 Building主机系统环境约定 OS : CentOS release 6...
  • ptonlix
  • ptonlix
  • 2017年07月20日 15:39
  • 152

rpm包安装过程中依赖问题“libc.so.6 is needed by XXX”解决方法

本文来自http://raksmart.idcspy.com/781   感谢原作者 如何解决源码包安装时的依赖性问题 自动解决依赖性故障 手工解决依赖性问题 Rpm软件包和共享库依赖性 ...
  • englishsname
  • englishsname
  • 2016年03月31日 20:20
  • 3273

drbd83-8.3.15-2.el5.centos.i386.rpm

  • 2014年10月04日 16:13
  • 238KB
  • 下载

rpm包安装过程中依赖问题“libc.so.6 is needed by XXX”解决方法

转自: http://raksmart.idcspy.com/781  rpm包安装过程中依赖问题“libc.so.6 is needed by XXX”解决方法 与本教程高度相关文章...
  • u010716706
  • u010716706
  • 2016年02月20日 19:35
  • 471
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:为rdo内核制作drbd的rpm包 -- by Ethan_lynn
举报原因:
原因补充:

(最多只允许输入30个字)